Loading...
Searching...
No Matches
MssqlSqlUtilBase::MssqlSequence Class Reference

class for Mssql sequences More...

Inherits SqlUtil::AbstractSequence.

## Public Member Functions

| constructor (string n_name, number n_start=1, number n_increment=1, __7_ softnumber n_end)
| creates the object from the arguments
string | getCreateSql (__7_ hash opt)
| returns a string that can be used to create the sequence in the database
softlist | getRenameSql (string new_name, __7_ hash opt)
| returns a string that can be used to rename the sequence in the database

## Detailed Description

class for Mssql sequences

## Member Function Documentation

## getRenameSql()

softlist MssqlSqlUtilBase::MssqlSequence::getRenameSql | ( | string | new_name,
|  | __7_ hash | opt
| ) |  |

returns a string that can be used to rename the sequence in the database

The object is renamed in place with this call

Parameters

  new_name | the new name of the object
  opt | this option is ignored